Skip to main content
POST
/
tools
/
execute
Execute Tool
curl --request POST \
  --url https://api.example.com/tools/execute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tool_key": "<string>",
  "idempotency_key": "<string>",
  "args": {},
  "connection_ref": "<string>"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Tool execute request model.

session_id
string<uuid>
required
agent_id
string<uuid>
required
tool_key
string
required
idempotency_key
string
required
args
Args · object
required
connection_ref
string | null

Response

Successful Response

The response is of type Response Execute Tool Tools Execute Post · object.